<?php
if(!isset($_SESSION)) {
  session_start();
}
require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() ) {
    $nombre     = '';
    $reenId     = 0;
    $encontrado = false;
    $rut	      = filter_var( $_POST["par1"], FILTER_SANITIZE_STRING);
    $rut	      = Varios::rutQuitarFormato($rut);

    require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
    $cliente_obj  = new gestionReserva(null);
    $cliente_inf = $cliente_obj->informacionReservaPersonaEntrega($rut, 0);

    if( isset($cliente_inf['reen_nombre']) ) {
        $reenId = $cliente_inf['reen_UID'];
        $nombre = $cliente_inf['reen_nombre'];
    }
    $cliente_obj->Close();
    $data = array(
      'id'         => Varios::codifica($reenId),
      'nombre'     => $nombre,
      'encontrado' => ($reenId == 0 ? false : true )
    );
    echo json_encode($data);
}
